Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Supported WebServers and Browsers

Jeanfrancois Arcand edited this page · 22 revisions

FAQ

Step by Step Tutorials

Concepts & Architecture

15 Minutes Tutorial

Advanced Topics

API

Known WebServer Issues

References

External Documentations

githalytics.com alpha

Clone this wiki locally

Supported Servers

The following table describes what Atmosphere supports. Currently Atmosphere can emulate Comet when native Comet support is not available (Websocket emulation is not yet supported).

  • NC: Native Comet (The WebServer has API for Comet)
  • NWS: Native WebSockets (The WebServer has API for WebSocket)
  • W: WebSockets
  • LP: Long-Polling
  • HS: Http Streaming
  • J: JSONP
  • SSE: Server-Sent Events
Server Version NC NWS W LP HS J SSE
Netty 3.3.x X X X X X X X
Jetty 5.x X X X X
Jetty 6.x X X X X X
Jetty 7.x X X X X X X X
Jetty 8.x X X X X X X X
Jetty 9.x X X X X X X X
GlassFish 2.x X X X X X
GlassFish 3.x to 3.1.1 X X X X X
GlassFish 3.1.2 X X X X X X X
GlassFish 4.x X X X X X X X
Tomcat 5.x X X X X
Tomcat 6.x X X X X X
Tomcat 7.0.26 and lower X X X X X
Tomcat 7.0.27 and up X X X X X X X
Tomcat 8.x X X X X X X X
JBoss 5.x X X X X
JBoss 6.x X X X X X
JBoss 7.x X X X X X
JBoss 7.2+ X X X X X X
JBoss EAP 6.2+ X X X X X X
Wildfly 8.x X X X X X X
WebLogic 10.x X X X X X
WebLogic 11.x and Up X X X X X
WebLogic 12.x X X X X X X
Resin 2.x X X X X
Resin 3.x X X X X
WebSphere 7.x X X X X
WebSphere 8.x X X X X X

Supported Browsers

The current list of Browsers have been tested with Atmosphere using the atmosphere.js Javascript library and the transport they supports.

Browser Version WebSockets Long-Polling Http Streaming JSONP Server-Sent Events
Firefox 3.x to 8.x X X X
Firefox 9.x and higher X X X X X
Chrome 12.x and lower X X X X
Chrome 13.x and higher X X X X X
Internet Explorer 6x to 9.x X X X
Internet Explorer 10.x and higher X X X X
Opera 10.x and lower X X X
Opera 11.x and higher X X X X
Safari 4.x X X X X
Safari 5.x and higher/td> X X X X X
Android 2.x and up X X X
Safari (iOS) 1.x to 4.x X X X
Safari (iOS) 5.x and higher X X X X
Something went wrong with that request. Please try again.